Subject: RE: [Isis-wg] OSI ??

From: Les Ginsberg <[email-masked]>
Date: Thu, 9 Aug 2001 14:57:48 -0700

> > No, I wasn't referring to IDRPI.  IDRP stands for 
> "Interdomain Routeing
> > Protocol", which is like BGP.  The first octet of an OSI 
> connectionless
> > network layer protocol packet isthe NLPI, "Network layer 
> protocol ID", aka
> > NPID or NLPID.  I don't recall an IRPD (I thought that was 
> a transposition
> > on your part), so my response was non-sequitur.  Where is that
> > IRDP defined?
> 
> Jeff, are you talking about the DSAP/SSAP of an IEEE 802.3 
> packet? The IDRP
> (83) is what identifies an IS-IS packet within an IEEE 802.3 
> ethernet frame.
> 

What Jeff is referring to here is:

[IS10747] ISO/IEC IS 10747 - Information Processing Systems -
             Telecommunications and Information Exchange between
             Systems - Protocol for Exchange of Inter-domain Routeing
             Information among Intermediate Systems to Support
             Forwarding of ISO 8473 PDUs, 1993.

This was OSI's version of an Inter-Domain routing protocol - referred to as
IDRP. It was assigned NLPID 0x84 for its PDUs. BGP4 used this an a reference
in its development. I don't believe there is any active work on IDRP - but I
could be mistaken there. Other folks are undoubtedly more knowledgeable on
that score.

In terms of an 802.3 packet, an OSI frame - which includes CLNP, ES-IS, and
IS-IS PDUs will have the following format:

Destination MAC address: 6 bytes
Source MAC address:      6 bytes
Length:                  2 bytes
LLC1 Header              3 bytes consisting of:                
   DSAP: 0xFE
   SSAP: 0xFE
   Type: 0x3  (Unnumbered Information)

Following these 17 bytes will be the start of the payload (or NPDU). The
first byte of that payload will be the NLPID of the PDU which is used to
identify the protocol:

   0x81 CLNS
   0x82 ES-IS
   0x83 IS-IS
   0x84 IDRP

  Les

_______________________________________________
Isis-wg mailing list  -  [email-masked]
http://external.juniper.net/mailman/listinfo/isis-wg